Update Runs - Put
지정된 업데이트에 대한 업데이트 실행 배치
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/clusters/{clusterName}/updates/{updateName}/updateRuns/{updateRunName}?api-version=2024-04-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string |
클러스터의 이름입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대/소문자를 구분하지 않습니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
update
|
path | True |
string |
업데이트의 이름 |
|
update
|
path | True |
string |
업데이트 실행의 이름 |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 본문
| Name | 형식 | Description |
|---|---|---|
| location |
string |
리소스가 있는 지리적 위치 |
| properties.duration |
string |
업데이트 실행 기간입니다. |
| properties.lastUpdatedTime |
string (date-time) |
업데이트 실행에서 가장 최근에 완료된 단계의 타임스탬프입니다. |
| properties.progress.description |
string |
단계에 대한 자세한 설명입니다. |
| properties.progress.endTimeUtc |
string (date-time) |
단계가 터미널 상태에 도달한 경우 |
| properties.progress.errorMessage |
string |
단계가 실패한 상태인지 지정한 오류 메시지입니다. |
| properties.progress.expectedExecutionTime |
string |
지정된 단계의 예상 실행 시간입니다. 업데이트 작업 계획에서 선택적으로 작성되며 비워 둘 수 있습니다. |
| properties.progress.lastUpdatedTimeUtc |
string (date-time) |
이 단계 또는 마지막으로 완료된 하위 단계의 완료 시간입니다. |
| properties.progress.name |
string |
단계의 이름입니다. |
| properties.progress.startTimeUtc |
string (date-time) |
단계가 시작된 경우 또는 실행을 시작하지 않은 경우 비어 있습니다. |
| properties.progress.status |
string |
설치 시도에 대한 ECE 작업 계획에서 버블링된 단계의 상태입니다. 값은 '성공', '오류', 'InProgress' 및 '알 수 없는 상태'입니다. |
| properties.progress.steps |
Step[] |
이 단계의 자식 단계에 대한 재귀 모델입니다. |
| properties.state |
업데이트 실행의 상태입니다. |
|
| properties.timeStarted |
string (date-time) |
업데이트 실행의 타임스탬프가 시작되었습니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get Update runs under cluster resource
샘플 요청
PUT https://management.azure.com/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3?api-version=2024-04-01
{
"properties": {
"progress": {
"name": "Unnamed step",
"description": "Update Azure Stack.",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"steps": [
{
"name": "PreUpdate Cloud",
"description": "Prepare for SSU update",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"steps": []
}
]
}
}
}
샘플 응답
{
"id": "/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3",
"name": "Microsoft4.2203.2.32/23b779ba-0d52-4a80-8571-45ca74664ec3",
"type": "Microsoft.AzureStackHCI/updates/updateRuns",
"location": "West US",
"properties": {
"progress": {
"name": "Unnamed step",
"description": "Update Azure Stack.",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
"steps": [
{
"name": "PreUpdate Cloud",
"description": "Prepare for SSU update",
"errorMessage": "",
"status": "Success",
"startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
"endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
"steps": []
}
]
}
}
}
정의
| Name | Description |
|---|---|
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Provisioning |
UpdateRuns 프록시 리소스의 프로비전 상태입니다. |
| Step |
업데이트 실행 단계의 진행률 표현입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
|
Update |
업데이트 실행 세부 정보 |
|
update |
업데이트 실행의 상태입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
ProvisioningState
UpdateRuns 프록시 리소스의 프로비전 상태입니다.
| 값 | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Accepted | |
| Provisioning |
Step
업데이트 실행 단계의 진행률 표현입니다.
| Name | 형식 | Description |
|---|---|---|
| description |
string |
단계에 대한 자세한 설명입니다. |
| endTimeUtc |
string (date-time) |
단계가 터미널 상태에 도달한 경우 |
| errorMessage |
string |
단계가 실패한 상태인지 지정한 오류 메시지입니다. |
| expectedExecutionTime |
string |
지정된 단계의 예상 실행 시간입니다. 업데이트 작업 계획에서 선택적으로 작성되며 비워 둘 수 있습니다. |
| lastUpdatedTimeUtc |
string (date-time) |
이 단계 또는 마지막으로 완료된 하위 단계의 완료 시간입니다. |
| name |
string |
단계의 이름입니다. |
| startTimeUtc |
string (date-time) |
단계가 시작된 경우 또는 실행을 시작하지 않은 경우 비어 있습니다. |
| status |
string |
설치 시도에 대한 ECE 작업 계획에서 버블링된 단계의 상태입니다. 값은 '성공', '오류', 'InProgress' 및 '알 수 없는 상태'입니다. |
| steps |
Step[] |
이 단계의 자식 단계에 대한 재귀 모델입니다. |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |
UpdateRun
업데이트 실행 세부 정보
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
리소스가 있는 지리적 위치 |
| name |
string |
리소스의 이름 |
| properties.duration |
string |
업데이트 실행 기간입니다. |
| properties.lastUpdatedTime |
string (date-time) |
업데이트 실행에서 가장 최근에 완료된 단계의 타임스탬프입니다. |
| properties.progress.description |
string |
단계에 대한 자세한 설명입니다. |
| properties.progress.endTimeUtc |
string (date-time) |
단계가 터미널 상태에 도달한 경우 |
| properties.progress.errorMessage |
string |
단계가 실패한 상태인지 지정한 오류 메시지입니다. |
| properties.progress.expectedExecutionTime |
string |
지정된 단계의 예상 실행 시간입니다. 업데이트 작업 계획에서 선택적으로 작성되며 비워 둘 수 있습니다. |
| properties.progress.lastUpdatedTimeUtc |
string (date-time) |
이 단계 또는 마지막으로 완료된 하위 단계의 완료 시간입니다. |
| properties.progress.name |
string |
단계의 이름입니다. |
| properties.progress.startTimeUtc |
string (date-time) |
단계가 시작된 경우 또는 실행을 시작하지 않은 경우 비어 있습니다. |
| properties.progress.status |
string |
설치 시도에 대한 ECE 작업 계획에서 버블링된 단계의 상태입니다. 값은 '성공', '오류', 'InProgress' 및 '알 수 없는 상태'입니다. |
| properties.progress.steps |
Step[] |
이 단계의 자식 단계에 대한 재귀 모델입니다. |
| properties.provisioningState |
UpdateRuns 프록시 리소스의 프로비전 상태입니다. |
|
| properties.state |
업데이트 실행의 상태입니다. |
|
| properties.timeStarted |
string (date-time) |
업데이트 실행의 타임스탬프가 시작되었습니다. |
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
updateRunPropertiesState
업데이트 실행의 상태입니다.
| 값 | Description |
|---|---|
| Unknown | |
| Succeeded | |
| InProgress | |
| Failed |